Services_OpenStreetMap

# Class: Services_OpenStreetMap_Transport_HTTP

Source Location: /OpenStreetMap/Transport/HTTP.php

### Class Overview

Services_OpenStreetMap_Transport

#### Author(s):

- Ken Guest <kguest@php.net>

Implements interfaces:

- Services_OpenStreetMap_Transport

### Variables

- $config
- $log
- $request

### Methods

- __construct
- getConfig
- getObject
- getObjects
- getRequest
- getResponse
- searchObjects
- setConfig
- setLog
- setRequest

### Child classes:

Services_OpenStreetMap_Transport_HTTPCached
  Services_OpenStreetMap_Transport_HTTPCached

### Class Details

[line 30]
Services_OpenStreetMap_Transport

#### Tags:

author: | Ken Guest <kguest@php.net>
link: | Transport.php
license: | BSD

[ Top ]

### Class Variables

#### $config = null

[line 61]

#### Tags:

access: | protected

Type: | Services_OpenStreetMap_Config

[ Top ]

#### $log = null

[line 66]

#### Tags:

access: | protected

Type: | Log

[ Top ]

#### $request = null

[line 56]

The HTTP_Request2 instance.

Customise this for proxy settings etc with the getRequest/setRequest methods if necessary.

#### Tags:

see: | Services_OpenStreetMap::getRequest
see: | Services_OpenStreetMap::setRequest
access: | protected

Type: | HTTP_Request2

[ Top ]

### Class Methods

### constructor __construct [line 38]

`Services_OpenStreetMap_Transport_HTTP __construct( )`

__construct

#### Tags:

access: | public

Overridden in child classes as:

Services_OpenStreetMap_Transport_HTTPCached::__construct()
  __construct

[ Top ]

### method getConfig [line 320]

`Services_OpenStreetMap_Config getConfig( )`

Get current Config object

#### Tags:

access: | public

[ Top ]

### method getObject [line 214]

`object getObject( string $type, mixed $id, [mixed $version = null])`

getObject

Returns false if the object is not found

#### Tags:

throws: | Services_OpenStreetMap_Exception
access: | public

Implementation of:

Services_OpenStreetMap_Transport::getObject()
  getObject

#### Parameters:

string | $type | object type
mixed | $id | id of object to retrieve
mixed | $version | version of object

[ Top ]

### method getObjects [line 261]

`void getObjects( string $type, array $ids)`

getObjects

#### Tags:

access: | public

Implementation of:

Services_OpenStreetMap_Transport::getObjects()
  getObjects

#### Parameters:

string | $type | object type
array | $ids | ids of objects to retrieve

[ Top ]

### method getRequest [line 169]

`HTTP_Request2 getRequest( )`

Get HTTP_Request2 instance.

#### Tags:

access: | public

[ Top ]

### method getResponse [line 86]

`HTTP_Request2_Response getResponse( string $url, [string $method = HTTP_Request2::METHOD_GET], [string $user = null], [string $password = null], [string $body = null], [array $post_data = null], [array $headers = null])`

Send request to OSM server and return the response.

#### Tags:

throws: | Services_OpenStreetMap_Exception If something unexpected has happened while conversing with the server.
access: | public

Overridden in child classes as:

Services_OpenStreetMap_Transport_HTTPCached::getResponse()
  Send request to OSM server and return the response.

Implementation of:

Services_OpenStreetMap_Transport::getResponse()
  Send request to OSM server and return the response.

#### Parameters:

string | $url | URL
string | $method | GET (default)/POST/PUT
string | $user | user (optional for read-only actions)
string | $password | password (optional for read-only actions)
string | $body | body (optional)
array | $post_data | (optional)
array | $headers | (optional)

[ Top ]

### method searchObjects [line 333]

`Services_OpenStreetMap_Objects searchObjects( string $type, array $criteria)`

searchObjects

#### Tags:

access: | public

Implementation of:

Services_OpenStreetMap_Transport::searchObjects()
  searchObjects

#### Parameters:

string | $type | object type (e.g. changeset)
array | $criteria | array of criterion objects.

[ Top ]

### method setConfig [line 310]

`Services_OpenStreetMap_API_V06 setConfig( Services_OpenStreetMap_Config $config)`

Set Config object

#### Tags:

access: | public

#### Parameters:

Services_OpenStreetMap_Config | $config | Config settings.

[ Top ]

### method setLog [line 197]

`Services_OpenStreetMap_Transport_HTTP setLog( Log $log)`

set Log object

#### Tags:

access: | public

#### Parameters:

Log | $log | Log object

[ Top ]

### method setRequest [line 184]

`Services_OpenStreetMap setRequest( HTTP_Request2 $request)`

Set the HTTP_Request2 instance and return the Services_OpenStreetMap instance.

Use this to inject a specific HTTP_Request2 instance.

#### Tags:

access: | public

#### Parameters:

HTTP_Request2 | $request | The HTTP_Request2 instance to set.

[ Top ]

Documentation generated on Wed, 26 Sep 2012 01:24:52 +0100 by phpDocumentor 1.4.4